Jump to content
  • 0
DoYouEvenModBro

Question about STEP Patch

Question

What happens if I use the main STEP patch, but do not have some of the mods that it patches. For example, what if I use the STEP Patch but I do not have Weapon and Armor Fixes, or I do not have Book of Silence, or AOS? Will it harm my game? Will I need to break the patch apart and do it piece by piece? Or is it okay to have the patch activated even without all the required mods? 

Share this post


Link to post
Share on other sites

7 answers to this question

Recommended Posts

  • 0

It won't run at all since the patch is dependant on those mods to work. MO will throw you an error telling you so, and let you know which mods are missing. From there there is two options I can think of: either use the manual patches for the mods that you do have, or make your own patch and copy changes from the STEP patch to a custom conflict resolution patch. There's a third option and that is to remove references to the mods you don't have in the STEP patch, but that is... Not a very good solution and will cause you more headaches than it is worth :)

 

Edit: STEP patch only cover some specific conflicts and forwards. Chances are you have those mods in your mod order already, and thus can use the patch. Try activating it and see which one it forwards with TES5edit.

 

 

Thanks

Fred

Share this post


Link to post
Share on other sites
  • 0

It won't run at all since the patch is dependant on those mods to work. MO will throw you an error telling you so, and let you know which mods are missing. From there there is two options I can think of: either use the manual patches for the mods that you do have, or make your own patch and copy changes from the STEP patch to a custom conflict resolution patch. There's a third option and that is to remove references to the mods you don't have in the STEP patch, but that is... Not a very good solution and will cause you more headaches than it is worth :)

 

Edit: STEP patch only cover some specific conflicts and forwards. Chances are you have those mods in your mod order already, and thus can use the patch. Try activating it and see which one it forwards with TES5edit.

 

 

Thanks

Fred

I think it might be easier just to use the manual patches :-/. At least the wiki page for the STEP Patches lists them all neatly, right? I can just follow that I guess. It's gonna be a little while until I can reinstall STEP. My PC won't start after a power surge so that's cool :-)


Where is the consistent older people - diverse priests patch? Can we maybe get links to these for users who dont' want to use the all-in-one step patches?

Share this post


Link to post
Share on other sites
  • 0

Just check on respective mod pages and see which mod the patch comes from. Check the optional files and miscellaneous.

 

Sent from my GT-I9505 using Tapatalk

Share this post


Link to post
Share on other sites
  • 0

Just check on respective mod pages and see which mod the patch comes from. Check the optional files and miscellaneous.

 

Sent from my GT-I9505 using Tapatalk

I Checked both Diverse Priests and Consistent Older People. Unless I am overlooking it, I cannot find that patch. All the other patches it looks like are available except for that one. Hmm. 

Share this post


Link to post
Share on other sites
  • 0

STEP Patches include changes that the manual patches do not.


All patch files can be downloaded from their respective mod pages.


RTFM Diverse Priests.

Share this post


Link to post
Share on other sites
  • 0

Bro, to reiterate Double's point - please put some effort and read mod descriptions on mod pages. 99% of the time the installation and patching instructions are there. We're here to help, but we're unable to hand guide you through every single mod installation...

 

Sent from my GT-I9505 using Tapatalk

Share this post


Link to post
Share on other sites
  • 0

Bro, to reiterate Double's point - please put some effort and read mod descriptions on mod pages. 99% of the time the installation and patching instructions are there. We're here to help, but we're unable to hand guide you through every single mod installation...

 

Sent from my GT-I9505 using Tapatalk

You're right and I will. It turns out that Diverse Priests v2.0 has the patch in it. You've made an understandable request, however you must understand that sometimes this can be very confusing and I want to be able to ask questions here. A lot of the times, you say things as if it's "UH DUHHHHHH" but it's not always like that. I've seen far more basic questions asked. I don't want to be scolded for asking a question that I need help with here. Sometimes I find my answer after posting it and I add "edits" to reflect that. This also helps other users who might have had the same question. By looking at my EDIT:, they can solve it for themselves as well. I don't sit here and expect you to hand hold me through this process. I do my research as well. It never hurts to ask here though...but apparently it does?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.